print();

local modDirectory = g_currentModDirectory
function onLoadMapFinished(mission, node)  
    if node ~= 0 then     
        local priceMaize = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter				

        -- Harvested Almond
        local harvestedAlmondHudFile = "fillType/hud_fill_harvestedAlmond.png"
        local harvestedAlmondHudFileSmall = "fillType/hud_fill_harvestedAlmond_sml.png"       		
	    local harvestedAlmondHeapDiffuse = Utils.getFilename("fillType/material/harvestedAlmond_diffuse.png", modDirectory)
        local harvestedAlmondHeapnormal  = Utils.getFilename("fillType/material/harvestedAlmond_normal.png", modDirectory)  
        local harvestedAlmondHeapspecular  = Utils.getFilename("fillType/material/harvestedAlmond_specular.png", modDirectory)  
        local harvestedAlmondHeapdistance = Utils.getFilename("fillType/material/harvestedAlmond_Distance_diffuse.png", modDirectory)  

        -- Almond Leaves
        local almondLeavesHudFile = "fillType/hud_fill_almondLeaves.png"
        local almondLeavesHudFileSmall = "fillType/hud_fill_almondLeaves_sml.png"       		
	    local almondLeavesHeapDiffuse = Utils.getFilename("fillType/material/almondLeaves_diffuse.png", modDirectory)
        local almondLeavesHeapnormal  = Utils.getFilename("fillType/material/almondLeaves_normal.png", modDirectory)  
        local almondLeavesHeapspecular  = Utils.getFilename("fillType/material/almondLeaves_specular.png", modDirectory)  
        local almondLeavesHeapdistance = Utils.getFilename("fillType/material/almondLeavesDistance_diffuse.png", modDirectory)  

        -- Almond
		local almondHudFile = "fillType/hud_fill_Almond.png"
        local almondHudFileSmall = "fillType/hud_fill_Almond_sml.png" 
	    local almondHeapDiffuse = Utils.getFilename("fillType/material/almond_diffuse.png", modDirectory)
        local almondHeapnormal  = Utils.getFilename("fillType/material/almond_normal.png", modDirectory)  
        local almondHeapspecular  = Utils.getFilename("fillType/material/almond_specular.png", modDirectory)  
        local almondHeapdistance = Utils.getFilename("fillType/material/almond_Distance_diffuse.png", modDirectory)  

        -- Pesticide
        local pesticideHudFile = "fillType/hud_fill_pesticide.png"
        local pesticideHudFileSmall = "fillType/hud_fill_pesticide_sml.png"  
	
        -- Compost
        local compostHudFile = "fillType/hud_fill_compost.png"
        local compostHudFileSmall = "fillType/hud_fill_compost_sml.png"  
	
        local harvestedAlmondFilType = g_fillTypeManager:addFillType("HARVESTEDALMOND", g_i18n:getText("harvestedAlmond"), true, priceMaize * 1, 0.00045, math.rad(40), harvestedAlmondHudFile, harvestedAlmondHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
        local almondLeavesFilType = g_fillTypeManager:addFillType("ALMONDLEAVES", g_i18n:getText("almondLeaves"), true, priceMaize * 0.3, 0.00045, math.rad(40), almondLeavesHudFile, almondLeavesHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
		local almondFilType = g_fillTypeManager:addFillType("ALMOND", g_i18n:getText("almond"), true, priceMaize * 2.2, 0.00045, math.rad(40), almondHudFile, almondHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
		local pesticideFilType = g_fillTypeManager:addFillType("PESTICIDE", g_i18n:getText("pesticide"), true, priceMaize * 1, 0.00045, math.rad(40), pesticideHudFile, pesticideHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
		local compostFilType = g_fillTypeManager:addFillType("COMPOST", g_i18n:getText("compost"), true, priceMaize * 2, 0.00045, math.rad(40), compostHudFile, compostHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)

		local HARVESTEDALMONDCategory = {"BULK"}	
		local ALMONDLEAVESCategory = {"BULK"}	
		local ALMONDCategory = {"BULK"}	
		local PESTICIDECategory = {"SPRAYER"}
		local COMPOSTCategory = {"BULK"}
		for _,k in pairs(HARVESTEDALMONDCategory) do
			g_fillTypeManager:addFillTypeToCategory(harvestedAlmondFilType.index, g_fillTypeManager.nameToCategoryIndex[k])			
		end
		for _,k in pairs(ALMONDLEAVESCategory) do
			g_fillTypeManager:addFillTypeToCategory(almondLeavesFilType.index, g_fillTypeManager.nameToCategoryIndex[k])			
		end
		for _,k in pairs(ALMONDCategory) do
			g_fillTypeManager:addFillTypeToCategory(almondFilType.index, g_fillTypeManager.nameToCategoryIndex[k])			
		end
		for _,k in pairs(PESTICIDECategory) do
			g_fillTypeManager:addFillTypeToCategory(pesticideFilType.index, g_fillTypeManager.nameToCategoryIndex[k])			
		end
		for _,k in pairs(COMPOSTCategory) do
			g_fillTypeManager:addFillTypeToCategory(compostFilType.index, g_fillTypeManager.nameToCategoryIndex[k])			
		end
		  g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
    end	
end	
function load(id, xmlFile, key,customEnvironment)
		local hasmaize =false
		local hasharvestedAlmond=false
		local hasalmondLeaves=false
       	local hasalmond=false	
		local haspesticide=false	
		local hascompost=false	
		local object=id					
		if object == nil then
		else
		hasmaize =false
		hasharvestedAlmond=false
		hasalmondLeaves=false
		hasalmond=false
		haspesticide=false
		hascompost=false
			for i,filltype in pairs(object.acceptedFillTypes) do
					
			local fillname=g_fillTypeManager.indexToName[i]
	
				if fillname == "MAIZE" then
					hasmaize=true								
				end;
				if fillname == "HARVESTEDALMOND" then
					hasharvestedAlmond=true								
				end;	
				if fillname == "ALMONDLEAVES" then
					hasalmondLeaves=true								
				end;	
				if fillname == "ALMOND" then
					hasalmond=true								
				end;
				if fillname == "PESTICIDE" then
					haspesticide=true								
				end;	
				if fillname == "COMPOST" then
					hascompost=true								
				end;	
			end;
				
				if hasmaize and not hasharvestedAlmond then
					local filltypen = g_fillTypeManager:getFillTypeIndexByName("HARVESTEDALMOND")
					local price = g_fillTypeManager:getFillTypeByName("HARVESTEDALMOND").pricePerLiter
					object:addAcceptedFillType(filltypen,price,true,false)
					object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("HARVESTEDALMOND")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
					object:initPricingDynamics()
				end;
				if hasmaize and not hasalmondLeaves then
					local filltypen = g_fillTypeManager:getFillTypeIndexByName("ALMONDLEAVES")
					local price = g_fillTypeManager:getFillTypeByName("ALMONDLEAVES").pricePerLiter
					object:addAcceptedFillType(filltypen,price,true,false)
					object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("ALMONDLEAVES")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
					object:initPricingDynamics()
				end;
				if hasmaize and not hasalmond then
					local filltypen = g_fillTypeManager:getFillTypeIndexByName("ALMOND")
					local price = g_fillTypeManager:getFillTypeByName("ALMOND").pricePerLiter
					object:addAcceptedFillType(filltypen,price,true,false)
					object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("ALMOND")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
					object:initPricingDynamics()
				end;
				if hasmaize and not haspesticide then
					local filltypen = g_fillTypeManager:getFillTypeIndexByName("PESTICIDE")
					local price = g_fillTypeManager:getFillTypeByName("PESTICIDE").pricePerLiter
					object:addAcceptedFillType(filltypen,price,true,false)
					object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("PESTICIDE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
					object:initPricingDynamics()
				end;		
				if hasmaize and not hascompost then
					local filltypen = g_fillTypeManager:getFillTypeIndexByName("COMPOST")
					local price = g_fillTypeManager:getFillTypeByName("COMPOST").pricePerLiter
					object:addAcceptedFillType(filltypen,price,true,false)
					object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("COMPOST")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
					object:initPricingDynamics()
				end;		
		end
end

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)

